local StepParent = require "scenes.battlesystem.controllers.fighters.systems.choregraphy.step.parent"
local GoToStep = StepParent:extend()

function GoToStep:new(controller, args)
  GoToStep.super.new(self, controller, args)
end

function GoToStep:start()

  local x, y = self:getStepCoordinate()
  self.choregraphy.actor:goTo(x, y, self.arguments.duration)

  if (self.arguments.blockProcess == false) then
    self:finish()
  else
    self.choregraphy.actor:blockChoregraphy(self.arguments.blockProcess, self, "goTo")
  end
end

function GoToStep:update(dt)

end

function GoToStep:getSignal(signal)

end

return GoToStep;
